Skip to content

Retrieve an existing Execution

GEThttps://api.neuroscale.io/v2.0/tasks/{task-id}/executions/{execution-id}

Path parameters

Name Type Description
task-id String Unique identifier of the Task.
execution-id String Unique identifier of the Execution.

The Execution resource has the following attributes:

Name Type Description
created_at Timestamp Date and time of creation as a Unix timestamp.
errors Array of Objects / Hashes List of errors (if any) encountered during this Execution.
finished_at Timestamp / Null Date and time when the Execution finished (regardless of whether or not it was successful) as a Unix timestamp. If the Execution has not finished, this attribute is set to null.
id String Unique identifier of the Execution.
object String Resource type (value is "execution").
started_at Timestamp / Null Date and time when the Execution was first started (excluding time spent queued) as a Unix timestamp. If the Execution has not started, this attribute is set to null.
state String State of the Execution (value is one of "canceled", "completed", "failed", "paused", "queued" or "running").
task String Unique identifier of the Task that owns the Execution.
transitions Array of Objects / Hashes List of state transitions for the Execution.
updated_at Timestamp Date and time of last modification as a Unix timestamp.

Authentication

Type: Access token
Required scopes: task or read:task

Responses

Example response — 200

{
    "created_at": 1467233124,
    "errors": [],
    "finished_at": 1467233388,
    "id": "ex_42iSJz5TLRU29G9tLihRZE",
    "object": "execution",
    "started_at": 1467233105,
    "state": "completed",
    "task": "tsk_TNje6VQJUPgaDA8tVbHPpU",
    "transitions": [],
    "updated_at": 1467233413
}